This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025404 - Delete processes exiting with directory not empty error. [NEEDINFO]
Delete processes exiting with directory not empty error.
Status: CLOSED INSUFFICIENT_DATA
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
All All
medium Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 11:33 EDT by Dean Bruhn
Modified: 2017-08-10 08:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 08:39:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
skoduri: needinfo? (deanbruhn)


Attachments (Terms of Use)

  None (edit)
Description Dean Bruhn 2013-10-31 11:33:11 EDT
Description of problem:
When running a delete process the system will error out reporting the directory is not empty. If you re-run the delete it will make it then actually delete. The issue seems to be related to files that have an existing self-heal issue.  

Version-Release number of selected component (if applicable):
Gluster 3.3.2
Redhat 6.4

How reproducible:
Delete a file that has an existing self heal issue.

Steps to Reproduce:
1. Find a file with a self-heal issue
2. Run a delete - Error will be produced
3. Run Again - Will succeed

Actual results:
Doesn't delete the file

Expected results:
Should delete the file

Additional info:
It seems it might be advantageous to caused the self heal action to run and wait then resume the delete operation since the end goals is to actually remove the file. 

Not sure if this is related to bug# 966848
Comment 1 Soumya Koduri 2015-12-08 07:28:31 EST
Could you please explain the self-heal issue which you are referring to in the bug description.
Also Gluster 3.3.2 seem to be old release. Please test the same on the latest gluster build and check if you still see the issue.
Comment 2 Amar Tumballi 2017-08-10 08:39:30 EDT
Closing for the inactivity!

Note You need to log in before you can comment on or make changes to this bug.